package com.sw.mes.auth.service;

import com.sw.mes.auth.domain.AuthUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.dto.auth.UserImportDto;
import com.sw.mes.core.response.Result;

import java.util.List;
import java.util.Map;

/**
* @author JS111816
* @description 针对表【auth_user(【系统域—系统管理】用户表)】的数据库操作Service
* @createDate 2022-05-19 14:21:52
*/
public interface AuthUserService extends IService<AuthUser> {
    AuthUser findByLoginName(String loginName);

    AuthUser getByCardNumber(String cardno);

    Map<String, Object> loginByUsername(String username, String password) throws Exception;

    Map<String, Object> loginByCardNo(String cardNo) throws Exception;

    List<AuthUser> findByUserName(String userName);

    Map<String,Object> getPermissionByLoginName(String username, String password) throws Exception;

    List<AuthUser> getByUserName(String name);

    AuthUser findByWorkNo(String receiverCode);

    Result login(String loginName, String password, String clientType);

    String cacheUser(AuthUser user, String clientType);

    Integer getOnLineUserCount();

    List<AuthUser> findByLoginNameIn(List<String> userName);

    Result<String> login(String loginName, String password, String clientType, String teamGroup, String classNo);

    void importUser(List<UserImportDto> users);
}
